PROGRAM Suite_logistique
	IMPLICIT NONE

	REAL(8) :: x0,mu,xinfini, xmin, xmax
	REAL(8) :: limite_suite
	INTEGER(4) :: i,N

	PRINT *, "Entrez xmin et xmax :"
	READ(*,*) xmin,xmax
	PRINT *, "Entrez le nombre de points à tracer :"
	READ(*,*) N

	OPEN(UNIT=1, FILE="logistique.txt", STATUS="REPLACE")
	DO i=1,N
		mu=xmin+i*(xmax-xmin)/N
		CALL RAndom_number(x0)
		xinfini=limite_suite(x0,mu)
		WRITE(1,*) mu,xinfini
	END DO
	CLOSE(1)
	CALL Lancer_gnuplot
END PROGRAM Suite_logistique

REAL(8) FUNCTION limite_suite(x0,mu)
	IMPLICIT NONE
	INTEGER(4) :: i
	REAL(8) :: x0,x,mu
	x=x0
	DO i=0, 20000		
		x=mu*x*(1d0-x) 
	END DO

	limite_suite=x
END FUNCTION limite_suite

SUBROUTINE Lancer_Gnuplot
	! On trace le contenu du fichier avec gnuplot
	! en créant un fichier script pour gnuplot :
	OPEN (UNIT=2, FILE="logistique.gnuplot", STATUS="REPLACE")
		WRITE(2,*) 'unset key'
		WRITE(2,*) 'set title "Logistic map"'
		WRITE(2,*) 'set xlabel "x"'
		WRITE(2,*) 'set ylabel "y"'
        WRITE(2,*) 'set pointsize 0.01'
		WRITE(2,*) 'plot "logistique.txt"'
		WRITE(2,*) 'pause -1  "Appuyez sur Entree pour continuer"'
	CLOSE(2)
	! On demande à gnuplot d'exécuter ce script :
	CALL SYSTEM("gnuplot logistique.gnuplot")
END SUBROUTINE Lancer_Gnuplot

